Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 710658 (CVE-2019-20477) - <dev-python/pyyaml-5.3: insufficient restrictions on the load and load_all functions (CVE-2019-20477)
Summary: <dev-python/pyyaml-5.3: insufficient restrictions on the load and load_all fu...
Status: RESOLVED FIXED
Alias: CVE-2019-20477
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B3 [noglsa cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-24 13:31 UTC by Agostino Sarubbo
Modified: 2020-04-26 01:58 UTC (History)
2 users (show)

See Also:
Package list:
dev-python/pyyaml-5.3
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-02-24 13:31:03 UTC
From https://bugzilla.redhat.com/1806005 :
PyYAML 5.1 through 5.1.2 has insufficient restrictions on the load and load_all
functions because of a class deserialization issue, e.g., Popen is a class in
the subprocess module. NOTE: this issue exists because of an incomplete fix for
CVE-2017-18342.

References:
https://github.com/yaml/pyyaml/blob/master/CHANGES




@maintainer(s): since the fixed package is already in the tree, please let us know if it is ready for the stabilization or not.
Comment 1 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-02-24 14:44:46 UTC
Does it matter if we're banning those insecure functions entirely?
Comment 2 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-02-24 14:47:05 UTC
Either way, 5.3 seems to be ready to go stable, so let's stabilize it.
Comment 3 Agostino Sarubbo gentoo-dev 2020-02-25 07:41:09 UTC
x86 stable
Comment 4 Agostino Sarubbo gentoo-dev 2020-02-25 14:58:08 UTC
amd64 stable
Comment 5 Agostino Sarubbo gentoo-dev 2020-02-25 14:59:35 UTC
s390 stable
Comment 6 Agostino Sarubbo gentoo-dev 2020-02-25 15:00:21 UTC
ppc stable
Comment 7 Agostino Sarubbo gentoo-dev 2020-02-25 15:01:05 UTC
ppc64 stable
Comment 8 Agostino Sarubbo gentoo-dev 2020-02-25 15:01:43 UTC
arm stable
Comment 9 Agostino Sarubbo gentoo-dev 2020-02-25 15:03:37 UTC
sparc stable
Comment 10 Agostino Sarubbo gentoo-dev 2020-02-25 15:04:29 UTC
ia64 stable
Comment 11 Sergei Trofimovich gentoo-dev 2020-03-02 20:46:02 UTC
hppa stable
Comment 12 Mart Raudsepp gentoo-dev 2020-03-14 21:09:19 UTC
arm64 stable
Comment 13 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2020-03-26 14:08:10 UTC
SuperH port disbanded.
Comment 14 Sergei Trofimovich gentoo-dev 2020-04-21 07:15:52 UTC
m68k dropped stable keywords
Comment 15 Sam James (sec padawan) 2020-04-21 07:20:40 UTC
@maintainer(s), please cleanup
Comment 16 Yury German Gentoo Infrastructure gentoo-dev Security 2020-04-26 01:58:51 UTC
GLSA Vote: No

Thank you all for you work. 
Closing as [noglsa].